summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/js185/README9
-rw-r--r--libraries/js185/js185-destdir.patch15
-rw-r--r--libraries/js185/js185.SlackBuild112
-rw-r--r--libraries/js185/js185.info10
-rw-r--r--libraries/js185/slack-desc19
5 files changed, 165 insertions, 0 deletions
diff --git a/libraries/js185/README b/libraries/js185/README
new file mode 100644
index 0000000000..9c34b66be9
--- /dev/null
+++ b/libraries/js185/README
@@ -0,0 +1,9 @@
+SpiderMonkey - Mozilla's JavaScript Engine
+
+SpiderMonkey is Mozilla's JavaScript engine written in C/C++.
+It is used in various Mozilla products, including Firefox, and is
+available under MPL/GPL/LGPL tri-license.
+
+This will overwrite the "js" binary from the "js" package.
+
+This requires nspr.
diff --git a/libraries/js185/js185-destdir.patch b/libraries/js185/js185-destdir.patch
new file mode 100644
index 0000000000..87b7b53b30
--- /dev/null
+++ b/libraries/js185/js185-destdir.patch
@@ -0,0 +1,15 @@
+#https://bugzilla.mozilla.org/show_bug.cgi?id=628723
+
+--- Makefile.in.old 2011-04-10 04:21:19.918608008 -0700
++++ Makefile.in 2011-04-10 04:21:58.088607992 -0700
+@@ -888,8 +888,8 @@
+ ifeq (,$(HOST_BIN_SUFFIX))
+ mv -f $(SHLIB_ANY_VER) $(SHLIB_EXACT_VER)
+ @[ ! -h $(SHLIB_ABI_VER) ] || rm -f $(SHLIB_ABI_VER)
+- ln -s $(SHLIB_EXACT_VER) $(SHLIB_ABI_VER)
+- ln -s $(SHLIB_ABI_VER) $(SHLIB_ANY_VER)
++ ln -s $(notdir $(SHLIB_EXACT_VER)) $(SHLIB_ABI_VER)
++ ln -s $(notdir $(SHLIB_ABI_VER)) $(SHLIB_ANY_VER)
+ endif
+ endif
+ ifneq (,$(IMPORT_LIBRARY))
diff --git a/libraries/js185/js185.SlackBuild b/libraries/js185/js185.SlackBuild
new file mode 100644
index 0000000000..1eec7bd3d9
--- /dev/null
+++ b/libraries/js185/js185.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for SpiderMonkey
+
+# Copyright 2011 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=js185
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAME=js
+TARVERS=1.8.5
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAME-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TARNAME-$TARVERS
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd js/src
+
+patch -p0 < $CWD/js185-destdir.patch
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --enable-optimize="-O2" \
+ --enable-threadsafe \
+ --with-system-nspr
+
+make
+make install DESTDIR=$PKG
+
+# Oops, Makefile missed this:
+cp -a shell/js $PKG/usr/bin
+
+# No need for this:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ../../README README.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/js185/js185.info b/libraries/js185/js185.info
new file mode 100644
index 0000000000..427680c8d2
--- /dev/null
+++ b/libraries/js185/js185.info
@@ -0,0 +1,10 @@
+PRGNAM="js185"
+VERSION="1.0.0"
+HOMEPAGE="http://www.mozilla.org/js/spidermonkey/"
+DOWNLOAD="http://ftp.mozilla.org/pub/mozilla.org/js/js185-1.0.0.tar.gz"
+MD5SUM="a4574365938222adca0a6bd33329cb32"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Erik Hanson"
diff --git a/libraries/js185/slack-desc b/libraries/js185/slack-desc
new file mode 100644
index 0000000000..eaa70a4588
--- /dev/null
+++ b/libraries/js185/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+js185: js185 (SpiderMonkey - Mozilla's JavaScript Engine)
+js185:
+js185: SpiderMonkey is Mozilla's JavaScript engine written in C/C++.
+js185: It is used in various Mozilla products, including Firefox, and is
+js185: available under MPL/GPL/LGPL tri-license.
+js185:
+js185: Homepage: http://www.mozilla.org/js/spidermonkey
+js185:
+js185:
+js185:
+js185: